# $Revision: 1.27 $, $Date: 2012/05/17 20:18:36 $
Summary:	Sensors plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka sensorów dla panelu Xfce
Name:		xfce4-sensors-plugin
Version:	1.2.5
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-sensors-plugin/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	33a8203f88c207e7e40ffaacae5d2404
Patch0:		%{name}-configure_fix.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	lm_sensors-devel >= 2.8
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.3.90.2
BuildRequires:	xfce4-panel-devel >= 4.3.90.1
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libxfce4sensors.so.*

%description
This plugin displays various hardware sensor values in the Xfce panel.

%description -l pl.UTF-8
Ta wtyczka wyświetla różne dane z czujników sprzętowych na panelu
Xfce.

%prep
%setup -q
%patch0 -p0

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/modules/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xfce4-sensors
%attr(755,root,root) %{_libdir}/xfce4/modules/libxfce4sensors.so*
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_desktopdir}/xfce4-sensors.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-sensors-plugin.spec,v $
Revision 1.27  2012/05/17 20:18:36  baggins
- rel 4
- remove la files

Revision 1.26  2012/05/17 20:16:24  baggins
- rel 3
- updated files

Revision 1.25  2012/05/17 20:09:21  baggins
- release 2

Revision 1.24  2012/05/17 11:32:48  baggins
- 1.2.5

Revision 1.23  2011/08/19 19:03:05  baggins
- 1.2.3

Revision 1.22  2011/07/06 10:02:31  lisu
- updated to 1.2.0
- removed obsoleted patches

Revision 1.21  2011/04/21 09:04:08  baggins
- rel 6
- fix building with libnorify >= 0.7.2

Revision 1.20  2011/03/01 12:32:29  baggins
- rel 5
- port to libxfce4ui

Revision 1.19  2011/02/17 12:19:26  megabajt
- added includes.patch (fixes build with xfce 4.8)
- release 4

Revision 1.18  2011/02/05 16:02:10  wiget
- rel. 3

Revision 1.17  2011/02/04 18:24:10  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.16  2010/11/11 13:56:34  baggins
- rel 2
- locale fix

Revision 1.15  2010/11/11 13:12:00  baggins
- up to 1.0.0

Revision 1.14  2008/05/04 13:48:41  hawk
- pt_PT -> pt, release 2

Revision 1.13  2008-05-04 12:28:09  hawk
- updated to 0.10.99.3, added fix for building with lm_sensors 3.x

Revision 1.12  2008-05-03 20:38:25  hawk
- release 3

Revision 1.11  2008-02-04 17:23:38  qboosh
- BR: intltool

Revision 1.10  2008-02-02 08:11:01  hawk
- fixed build by adding %{__intltoolize}
- release 2

Revision 1.9  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.7  2006/11/12 11:19:14  megabajt
- use %update_icon_cache macro

Revision 1.6  2006/11/12 11:09:35  megabajt
- updated to 0.10.0 (by Piotr Grymkowski <carnage2 at go2.pl>)

Revision 1.5  2006/10/14 15:23:27  qboosh
- updated URLs

Revision 1.4  2005/09/26 13:21:16  charles
- updated to 0.7.0
- added full regenerate ac/am/lt
- more BRs

Revision 1.3  2005/03/09 09:09:51  havner
- rel up for rebuild with xfce 4.2

Revision 1.2  2004/12/30 22:10:59  qboosh
- formatting, (blindly) simplified build

Revision 1.1  2004/12/29 20:25:24  charles
- initial pld release
